@media screen and (max-width: 498px) {
    .contentColumn .container .content .cat_list .item {
         width: 50% ;
    }
}

.txt_template-search {
    font-weight: bold;
    font-size: 2rem;
    margin-bottom: 5px;
}

.templte_searchBox{
    display: flex;
    position: relative;
    width: 100%;
    max-width: 480px;
}



#templatesearchInput{
    padding-left: 30px;
    height: clamp(40px, calc(50vw/14.4), 50px);
    border-radius: 60px;
    width: 100%;
    border: 1px solid #b4b4b4;
    background: #fff;
    font-size: 16px;
    box-sizing: border-box;
    outline: none;
    transition: border-color .2s;
}

.template_searchBox input::placeholder{
    color: #999;
}

.templatesearchBtn{
    position: absolute;
    top: 50%;
    right: 16px;
    transform: translateY(-50%);

    width: 24px;
    height: 24px;

    display: flex;
    align-items: center;
    justify-content: center;

    border: none;
    background: transparent;
    padding: 0;
    cursor: pointer;
}

.templatesearchBtn:hover{
    opacity: 0.8;
}


.template_categoryhead {
    display: flex;
    align-items: center;
    justify-content: space-between;
    width: 100%;
    height: fit-content;
    margin: 47px 0 30px 0;

}

.txt_template_categoryhead {
    font-weight: bold;
    font-size: 2rem;
    margin: 0;
}

.all_btn {
    /* width: calc(100vw/14.4);
    height: 100%; */
    width: clamp(110px, 7vw, 160px);
    height: clamp(40px, 3vw, 48px);
    display: flex;
    justify-content: center;
    text-align: center;
    padding: 10px;
    background: #F8F8F8;
    border: 1px solid #CFCFCF;
    border-radius: 6px;
    color: #0E376F;
    font-size: clamp(14px,1.1vw,16px);
    font-weight: bold;
}



@media screen and (max-width: 599px) {

    .template_categoryhead {
    display: flex;
    align-items: center;
    justify-content: space-between;
    width: 100%;
    height: fit-content;
    margin: 47px 0 30px 0;

}


.template_categoryhead {
        display: flex;
        flex-direction: column;
        align-items: flex-start;
        gap: 16px;
        margin: 30px 0 20px;
    }

    .template_category1,
    .template_category2,
    .template_category3 {
        flex-direction: column;
        gap: 20px;
        padding-bottom: 40px;
    }

    .template_card {
        width: 100%;
        box-sizing: border-box;
    }
}

    
.template_category1 {
    display: flex;
    gap: 25px;
    padding-bottom: 79px;
    border-bottom: 2px solid #AAAAAA;
}

.template_category2 {
    display: flex;
    gap: 38px;
    padding-bottom: 79px;
    border-bottom: 2px solid #AAAAAA;
}

.template_category3 {
    display: flex;
    gap: 38px;
    padding-bottom: 79px;
    border-bottom: 2px solid #AAAAAA;
}



.template_card {
    display: flex;
    flex-direction: column;
    gap: 20px;
    background-color: #EEEEEE;
    padding: 20px;
    align-items: center;
    text-decoration: none !important;
    color: #0E376F;
}

.template_card:hover {
    opacity: 0.8;
}


#resultArea .small_img { 
    height:clamp(154px, 17.6vw,254px);
    object-fit:contain;
    object-position: top;
    
}



.txt_card {
    text-align: center;
    align-items: center;
    justify-content: center;
    display: flex;
    font-size: 16px;
    font-weight: 400;
    height: 3em;
    margin: 0;
    /* line-height: 1em; */
}


/* detail.css記述分 */
.txt_template-search {
    font-weight: bold;
    font-size: 2rem;
    margin-bottom: 5px;
}

.template_searchBox{
    display: flex;
    position: relative;
    width: 100%;
    max-width: 480px;
}



#searchInput{
    padding-left: 30px;
    height: clamp(30px, calc(50vw/14.4), 50px);
    border-radius: 60px;
    width: 100%;
    border: 1px solid #b4b4b4;
    background: #fff;
    font-size: 16px;
    box-sizing: border-box;
    outline: none;
    transition: border-color .2s;
}


.searchBtn{
    position: absolute;
    top: 50%;
    right: 16px;
    transform: translateY(-50%);

    width: 24px;
    height: 24px;

    display: flex;
    align-items: center;
    justify-content: center;

    border: none;
    background: transparent;
    padding: 0;
    cursor: pointer;
}

.searchBtn:hover{
    opacity: 0.8;
}

.txt_template_categoryhead {
    font-weight: bold;
    font-size: 2rem;
    margin: 0;
}


.template_list{
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 25px;
}



.template_card {
    display: flex;
    flex-direction: column;
    gap: 20px;
    background-color: #EEEEEE;
    padding: 20px;
    align-items: center;
    text-decoration: none !important;
    color: #0E376F;
}

.template_card:hover {
    opacity: 0.8;
}



.txt_card {
    text-align: center;
    align-items: center;
    justify-content: center;
    display: flex;
    font-size: clamp(13px, 1.1vw,16px);
    font-weight: 400;
    height: 3em;
    margin: 0;
    /* line-height: 1em; */
}


/* ========================================
   ページネーション
======================================== */

.pagination{
    margin-top: 80px;
    text-align: center;
}

.pagination ul{
    display: inline-flex;
    align-items: center;
    justify-content: center;
    gap: 4px;
    padding: 0;
    margin: 0;
    list-style: none;
}

.pagination li{
    margin: 0;
}

/* 共通 */

.pagination a,
.pagination span{

    display: inline-block;

    padding: 15px 14px;

    color: #CDD6DD;

    font-size: 12px;
    line-height: 16px;

    text-decoration: none;

    transition: .2s;

}

/* ホバー */

.pagination a:hover{

    color: #AEB8BF;
    opacity: 0.8;

}

/* 現在ページ */

.pagination .current {

    color: #6F7579;
    font-weight: 700;

}


/* ===========================
   前へ・次へボタン
=========================== */

.pagination .prev a,
.pagination .next a{

    position: relative;

    width: 50px;
    height: 50px;

    padding: 0;

    background: #FAFAFA;

    border: 2px solid #F0F3F5;

    border-radius: 10px;

    font-size: 0;

    color: transparent;

    transition: .2s;

}

/* 矢印 */

.pagination .next a::before,
.pagination .prev a::before{

    content: "";

    position: absolute;

    top: 50%;
    left: 50%;

    width: 8px;
    height: 8px;

    border-top: 2px solid #3B4043;
    border-right: 2px solid #3B4043;
    /* content: "\e905"; */

}

/* 次へ */

.pagination .next a::before{

    transform: translate(-60%,-50%) rotate(45deg);

}

/* 前へ */

.pagination .prev a::before{

    transform: translate(-40%,-50%) rotate(-135deg);

}

/* ホバー */

.pagination .prev a:hover,
.pagination .next a:hover{

    background:#F5F7F8;

}

/* スマホ */

@media (max-width:767px){

    .pagination{

        margin-top:50px;

    }

    .pagination ul{

        gap:2px;

    }

    .pagination a,
    .pagination span{

        padding:12px 10px;

        font-size:12px;

    }

    .pagination .prev a,
    .pagination .next a{

        width:42px;
        height:42px;

    }

}

@media screen and (max-width: 767px) {
    .template_list{
    grid-template-columns: repeat(2, 1fr);
    gap: 10px;
}
}